# CMake Targets
CMake Targets decide what you are intending to build. Targets are (usually) a 
specific system, like vita, 3ds, switch, or a specific OS with a library, e.g.
targetting vulkan on linux vs targetting opengl on linux, or targetting opengl
on windows, etc.

In addition the target also decides what project(s) to build. Usually this is
just the specific game and/or systems to be built, so if you are building a VN
game the target would need to let the build system know you want to rollup the
VN parts of the engine also.

Note this is one of the very few build args that is required during the 
configuration of cmake to make it build properly, failure to specify a target
will result in a build error.

```
-DDAWN_BUILD_TARGET=target-helloworld-linux64-glfw
```

## Target Systems
- vita
- linux
- osx
- windows
- emscripten (Web)

## Target Libraries
- vita (Includes OGL)
- glfw (Includes OGL)
- sdl2 (Includes OGL)

## Target games
- liminal
- helloworld

## Target Arcitectures
- vita (form of armv7)
- linux (x64 only)
- windows (x64 only)
- osx (targetting arm64 currently)