// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "display/mesh/Mesh.hpp"

#define QUAD_VERTICE_COUNT 4
#define QUAD_INDICE_COUNT 6

namespace Dawn {
  class QuadMesh {
    public:
      /**
       * Buffers quad mesh vertices and indices into the given mesh.
       * 
       * @param mesh The mesh to buffer into.
       * @param positions The positions of the vertices.
       * @param coordinates The coordinates of the vertices.
       * @param verticeStart The starting index of the vertices.
       * @param indiceStart The starting index of the indices.
       */
      static void buffer(
        const std::shared_ptr<Mesh> mesh,
        const glm::vec4 positions,
        const glm::vec4 coordinates,
        const int32_t verticeStart,
        const int32_t indiceStart
      );
  };
}