// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "dawnlibs.hpp"

namespace Dawn {
  class Flag final {
    public:
      template<typename T>
      static void turnOn(T &flag, const T check) {
        flag |= check;
      }

      template<typename T>
      static void turnOff(T &flag, const T check) {
        flag &= ~check;
      }

      template<typename T>
      static bool_t isOn(const T flag, const T check) {
        return (flag & check) == check;
      }

      template<typename T>
      static bool_t isOff(const T flag, const T check) {
        return (flag & check) == 0;
      }
  };
}